Subject: Re: [PATCH v2 0/3] hwmon: Adding support for Microchip Sparx5 SoC

From: Lars Povlsen <[email-masked]>
Date: Wed, 10 Jun 2020 09:33:58 +0200

Guenter Roeck writes:

> On 6/9/20 12:28 AM, Lars Povlsen wrote:
>> This is an add-on series to the main SoC Sparx5 series
>> (Message-ID: <[email-masked]>)
>>
>> Changes in v2:
>> - Changes in driver as per review comments
>>
>
> And you expect the reviewers/maintainers to remember what those were ?
>

Well, I can see that this might not be the case. I'll be a little more
specific next time. Sorry about that.

For the record, it was:

- Removed unnecessary #includes
- Statement reordering in s5_read()
- Replaced EINVAL with EIO
- Add 'break' in default: case statement.
- Removed extra ()
- Removed superfluous initialization

I got some more comments from Jonathan Cameron
<[email-masked]>, so there will be another round.

Thanks,

---Lars

>> Lars Povlsen (3):
>>   dt-bindings: hwmon: Add Sparx5 temperature sensor
>>   arm64: dts: sparx5: Add hwmon temperature sensor
>>   hwmon: sparx5: Add Sparx5 SoC temperature driver
>>
>>  .../bindings/hwmon/microchip,sparx5-temp.yaml |  39 +++++
>>  arch/arm64/boot/dts/microchip/sparx5.dtsi     |   6 +
>>  drivers/hwmon/Kconfig                         |  10 ++
>>  drivers/hwmon/Makefile                        |   2 +-
>>  drivers/hwmon/sparx5-temp.c                   | 152 ++++++++++++++++++
>>  5 files changed, 208 insertions(+), 1 deletion(-)
>>  create mode 100644 Documentation/devicetree/bindings/hwmon/microchip,sparx5-temp.yaml
>>  create mode 100644 drivers/hwmon/sparx5-temp.c
>>
>> --
>> 2.27.0
>>

-- 
Lars Povlsen,
Microchip

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel